## nfs-utils 0.1.9.1-1

=== support/nfs/Makefile ===
#
# linux-nfs/support/nfs/Makefile
#

LIBNAME	= libnfs.a
OBJS	= exports.o rmtab.o xio.o \
	  rpcmisc.o rpcdispatch.o xlog.o xmalloc.o wildmat.o \
	  nfssvc.o nfsclient.o nfsexport.o getfh.o nfsctl.o lockdsvc.o

include $(TOP)rules.mk

install::
	@:

=== tools/rpcgen/Makefile ===
#
# This is a slightly patched rpcgen.new from the tirpc package
# 8 oct 96 --okir
#		

#
# Sun RPC is a product of Sun Microsystems, Inc. and is provided for
# unrestricted use provided that this legend is included on all tape
# media and as a part of the software program in whole or part.  Users
# may copy or modify Sun RPC without charge, but are not authorized
# to license or distribute it to anyone else except as part of a product or
# program developed by the user or with the express written consent of
# Sun Microsystems, Inc.
#
# SUN RPC IS PROVIDED AS IS WITH NO WARRANTIES OF ANY KIND INCLUDING THE
# WARRANTIES OF DESIGN, MERCHANTIBILITY AND FITNESS FOR A PARTICULAR
# PURPOSE, OR ARISING FROM A COURSE OF DEALING, USAGE OR TRADE PRACTICE.
#
# Sun RPC is provided with no support and without any obligation on the
# part of Sun Microsystems, Inc. to assist in its use, correction,
# modification or enhancement.
#
# SUN MICROSYSTEMS, INC. SHALL HAVE NO LIABILITY WITH RESPECT TO THE
# INFRINGEMENT OF COPYRIGHTS, TRADE SECRETS OR ANY PATENTS BY SUN RPC
# OR ANY PART THEREOF.
#
# In no event will Sun Microsystems, Inc. be liable for any lost revenue
# or profits or other special, indirect and consequential damages, even if
# Sun has been advised of the possibility of such damages.
#
# Sun Microsystems, Inc.
# 2550 Garcia Avenue
# Mountain View, California  94043
# 
#	@(#)Makefile 1.14 89/03/30 (C) 1987 SMI <MODIFIED>
#
# Makefile for rpc protocol compiler
# Copyright (C) 1987, Sun Microsystems, Inc.
#

TOOL	= rpcgen
OBJS	= rpc_clntout.o rpc_cout.o rpc_hout.o rpc_main.o rpc_parse.o \
  	  rpc_scan.o rpc_svcout.o rpc_tblout.o rpc_util.o rpc_sample.o

include $(TOP)rules.mk


all::	$(TOOL)
	if [ ! -d $(TOP)bin ]; then \
	  rm -rf $(TOP)bin; mkdir -p $(TOP)bin; \
	fi
	cp $(TOOL) $(TOP)bin

install::
	@:

=== utils/mountd/Makefile ===
#
# Makefile for rpc.mountd
#

PROGRAM	= mountd
PREFIX	= rpc.
OBJS	= mountd.o mount_dispatch.o auth.o rmtab.o
LIBDEPS	= $(TOP)support/lib/libexport.a $(TOP)/support/lib/libnfs.a
LIBS	= -lexport -lnfs
MAN8	= mountd

include $(TOP)rules.mk

=== utils/statd/Makefile ===
# Copyright (C) 1995-1999 Jeffrey A. Uphoff
# Adapted for linux-nfs build tree by Olaf Kirch, 1996.
#
# NSM for Linux.

# Uncomment for embedded client-side simulation functions.
#SIMUL	= -DSIMULATIONS

# Undefined is normal, defined provides debug logging.
#DEBUG	= -DDEBUG

##################################################################
#	no user-serviceable parts below this line
##################################################################
PROGRAM	= statd
PREFIX	= rpc.
OBJS	= $(SRCS:.c=.o)
CCOPTS	= $(DEBUG) $(SIMUL)
LIBS	= -lexport

SRCS	= $(RPCSRCS) $(SIMSRCS) \
	  callback.c notlist.c log.c misc.c monitor.c notify.c simu.c \
	  stat.c statd.c state.c svc_run.c rmtcall.c
HDRS	= $(RPCHDRS) $(SIMHDRS)

RPCSRCS	= sm_inter_clnt.c sm_inter_svc.c sm_inter_xdr.c
RPCHDRS	= sm_inter.h

ifdef SIMUL
SIMSRCS	= sim_sm_inter_clnt.c sim_sm_inter_svc.c
SIMHDRS	= sim_sm_inter.h
SRCS   += simulate.c
endif

MAN8	= statd

include $(TOP)rules.mk

AFLAGS	+= -Wno-unused

$(RPCHDRS) $(RPCSRCS):	sm_inter.x
	$(RM) $(RPCHDRS) $(RPCSRCS)
	$(RPCGEN) -h -o sm_inter.h $<
	$(RPCGEN) -l -o sm_inter_clnt.c $<
	$(RPCGEN) -m -o sm_inter_svc.c $<
	$(RPCGEN) -c -o sm_inter_xdr.c $<

$(SIMHDRS) $(SIMSRCS):	sim_sm_inter.x
	$(RM) $(SIMHDRS) $(SIMSRCS)
	$(RPCGEN) -h -o sim_sm_inter.h $<
	$(RPCGEN) -l -o sim_sm_inter_clnt.c $<
	$(RPCGEN) -m -o sim_sm_inter_svc.c $<

clean::
	$(RM) $(PROGRAM)

distclean::
	$(RM) $(RPCHDRS) $(RPCSRCS) $(SIMHDRS) $(SIMSRCS)

=== debian/changelog ===
nfs-utils (1:0.1.9.1-1) frozen unstable; urgency=high

  * New upstream version, fixes more logging errors.
  * Fix Debian distribution list.

 -- Chip Salzenberg <chip@valinux.com>  Wed,  5 Jul 2000 15:00:00 -0800

nfs-utils (1:0.1.8.2-2) unstable; urgency=high

  * Fix serious logging error in statd.

 -- Chip Salzenberg <chip@valinux.com>  Wed, 28 Jun 2000 23:00:00 -0800

nfs-utils (1:0.1.8.2-1) unstable; urgency=low

  * New upstream version.
  * During startup, start daemons before running exportfs.

 -- Chip Salzenberg <chip@valinux.com>  Wed, 28 Jun 2000 15:00:00 -0800

nfs-utils (1:0.1.8.1-1) unstable; urgency=medium

  * New upstream version.
  * Chdir to / before spawning daemons. (closes: #60837, #64857)
  * Follow policy for init messages. (closes: #59184, #65519)

 -- Chip Salzenberg <chip@valinux.com>  Mon, 12 Jun 2000 22:30:00 -0800

nfs-utils (1:0.1.8-1) unstable; urgency=low

  * New upstream version.

 -- Chip Salzenberg <chip@valinux.com>  Sun,  4 Jun 2000 13:30:00 -0800

nfs-utils (1:0.1.7.1-1) unstable; urgency=medium

  * New upstream version.
  * Use fewer sockets in mountd by sharing RPC transports,
    even when it is run without '-p'.

 -- Chip Salzenberg <chip@valinux.com>  Sat, 29 Apr 2000 20:45:00 -0800

nfs-utils (1:0.1.6-3) frozen unstable; urgency=medium

  * Fix kernel server shutdown order: mountd, nfsd, exportfs.
  * Upstream:  Fix 'mountd -p'.  Use fewer UDP sockets
    by sharing RPC transports.  Display more mount flags.

 -- Chip Salzenberg <chip@valinux.com>  Mon, 13 Mar 2000 14:45:00 -0800

nfs-utils (1:0.1.6-2) frozen unstable; urgency=medium

  * Split off nhfsstone into its own package, since it has
    helper scripts and most people won't use it.
  * Also include nhfsstone's helpers: nhfs{run,nums,graph}.
  * Install man page for nhfsstone. (closes: #55194)
  * Always run lockd on non-module kernels. (closes: #57841)
  * Make init scripts config files. (closes: #55193)
  * Handle "force-reload" in nfs-common's init script. (ditto)
  * Fix line numbers in error messages. (closes: #57717)
  * Write man page for rpc.lockd. (closes: #55192)
  * Fix typo in exports(5) man page. (closes: #46933)
  * Add /usr/doc -> /usr/share doc links. (closes: #54983)
  * Add copyright file. (closes: #55195)
  * Refresh sources from upstream.
  * Refine dependencies.

 -- Chip Salzenberg <chip@valinux.com>  Sat, 26 Feb 2000 02:00:00 -0800

nfs-utils (1:0.1.6-1) unstable; urgency=high

  * New upstream version.
  * Make nfs-kernel-server conflict with and replace knfs.

 -- Chip Salzenberg <chip@valinux.com>  Wed, 12 Jan 2000 19:30:00 -0800

nfs-utils (1:0.1.5-2) unstable; urgency=high

  * Rename packages to "nfs-common" and "nfs-kernel-server".
    (Previous package names were only temporary anyway.)
  * Prepend "1:" to version, to override existing nfs-common.
  * Remove rpc.rquotad -- it's already packaged in "quota".

 -- Chip Salzenberg <chip@valinux.com>  Wed, 29 Dec 1999 17:00:00 -0800

nfs-utils (0.1.5-1) unstable; urgency=medium

  * New upstream version.
  * Allow for some kernels not requiring rpc.lockd.

 -- Chip Salzenberg <chip@valinux.com>  Sun, 19 Dec 1999 11:40:00 -0800

nfs-utils (0.1.4-1) unstable; urgency=low

  * New upstream version.
  * Don't disable NFSv3 by default.

 -- Chip Salzenberg <chip@valinux.com>  Fri, 10 Dec 1999 23:00:00 -0800

nfs-utils (0.1.3-2) unstable; urgency=low

  * Conflict with standard NFS packages.

 -- Chip Salzenberg <chip@valinux.com>  Fri,  3 Dec 1999 22:00:00 -0800

nfs-utils (0.1.3-1) unstable; urgency=low

  * New upstream version.
  * Start following CVS tree at SourceForge.

 -- Chip Salzenberg <chip@valinux.com>  Fri,  3 Dec 1999 20:00:00 -0800

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: nfs-utils
Priority: standard
Section: net
Maintainer: Chip Salzenberg <chip@debian.org>
Standards-Version: 3.1.1.1

Package: nfs-kernel-server
Architecture: any
Depends: nfs-common (>= 1:0.1.5), ${shlibs:Depends}
Provides: knfs, nfs-server
Conflicts: knfs, nfs-server
Replaces: knfs, nfs-server
Description: Kernel NFS server support
 Use this package if you have a fairly recent kernel (2.2.13 or better)
 and you want to use the kernel-mode NFS server.  The user-mode NFS
 server in the "nfs-server" package is slower but more featureful and
 easier to debug than the kernel-mode server.
 .
 Upstream: SourceForge project "nfs", CVS module nfs-utils.

Package: nhfsstone
Architecture: any
Depends: nfs-common, ${shlibs:Depends}
Description: NFS benchmark program.
 .
 Upstream: SourceForge project "nfs", CVS module nfs-utils.

Package: nfs-common
Architecture: any
Depends: ${shlibs:Depends}
Provides: nfs-client
Conflicts: nfs-client
Replaces: nfs-client
Description: NFS support files common to client and server
 Use this package on any machine that does NFS either as client or
 server.  Programs included: lockd, statd, showmount, and nfsstat.
 .
 Upstream: SourceForge project "nfs", CVS module nfs-utils.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# You can use gcc 2.7.2 if it's installed,
#   but I don't think that's necessary any more.
#SETGCC	:= CC=$(notdir $(shell which gcc272 gcc 2>/dev/null | sed '1q'))

# Temporary root
DEBTMP	:= $(shell pwd)/debian/tmp

build: build-stamp
build-stamp:
	dh_testdir
	# Add here commands to compile the package.
	$(SETGCC) ./configure \
		--mandir='$${prefix}/share/man' \
		--enable-secure-statd
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
	dh_clean

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	# Add here commands to install the files into debian/tmp
	$(MAKE) install_prefix='$(DEBTMP)' install
	dh_movefiles
	# Fixups Start Here #
	cd debian && \
	  for f in rpc.lockd rpc.statd showmount; do \
	    mv tmp/usr/sbin/$$f nfs-common/sbin/$$f; \
	  done; \
	  rm -f tmp/usr/sbin/*quota*; \
	  rm -f tmp/usr/share/man/man8/*quota*; \
	  rm -rf tmp/var/lib/nfs/*
	# Fixups End Here #
	dh_installdocs ChangeLog README
	dh_installexamples
#	dh_installmenu
	dh_installinit -n
#	dh_installcron
#	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs
	dh_strip
	dh_suidregister
	dh_compress
	dh_fixperms
	dh_installdeb
#	dh_makeshlibs
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## nfs-utils 0.1.9.1-1.potato1

=== support/Makefile ===
#
# Makefile for linux-nfs/support
#

SUBDIRS	= include nfs export lib
.DEFAULT: all

include $(TOP)rules.mk

=== utils/Makefile ===
#
# Makefile for linux-nfs/support
#

SUBDIRS	= exportfs mountd nfsd statd nfsstat rquotad showmount \
	  nhfsstone lockd

include $(TOP)rules.mk

# .EXPORT_ALL_VARIABLES:

=== support/lib/Makefile ===

include	$(TOP)rules.mk

LIBS	= libnfs.a libexport.a

all install::	$(LIBS)
	@:

clean distclean::
	rm -f $(LIBS)

lib%.a:
	ln -sf ../$*/$@ .

=== utils/nfsd/Makefile ===
#
# Makefile for knfsd
#

PROGRAM	= nfsd
PREFIX	= rpc.
OBJS	= nfsd.o
DEPLIBS = $(TOP)support/lib/libfs.a
LIBS	= -lnfs
MAN8	= nfsd

include $(TOP)rules.mk

# 
# all::	nfsd
# 	@echo "Done."
# 
# nfsd:	$(OBJS)
# 	$(CC) $(LDFLAGS) -o $@ $(OBJS) -lnfs
# 
# clean distclean::
# 	rm -f *.o
# 
# distclean::
# 	rm -f nfsd .depend
# 
# install::
# 	install -o root -g root -m 755 nfsd /usr/sbin/rpc.$knfsd
# 
# dep::
# 	$(CC) $(CFLAGS) -M $(OBJS:.o=.c) > .depend
# 
# ifeq (.depend,$(wildcard .depend))
# include .depend
# endif

=== utils/rquotad/Makefile ===
#
# Makefile for rpc.mountd
#

PROGRAM	= rquotad
PREFIX	= rpc.
OBJS	= rquota_server.o rquota_svc.o rquota_xdr.o quotactl.o hasquota.o
DEPLIBS	= 
MAN8	= rquotad

LIBS	+= -lnfs $(LIBBSD)

include $(TOP)rules.mk

=== debian/changelog ===
nfs-utils (1:0.1.9.1-1.potato1) stable; urgency=medium

  * Support statd callbacks from later 2.2 kernels. (closes: #111990)

 -- Chip Salzenberg <chip@auric.debian.org>  Wed,  2 Jan 2002 18:04:56 -0500

## nfs-utils 1.0-2woody3

=== Makefile ===
#
# linux-nfs/Makefile
#

SUBDIRS	= tools support utils
TOP	= 

include $(TOP)rules.mk

distclean clean::
	rm -f postscript/*.ps
	rm -f LOG make.log

distclean::
	rm -fr bin
	rm -f config.cache config.log config.mk config.status

install:: installman
	if [ ! -d $(STATEDIR) ]; then mkdir -p $(STATEDIR); fi
	touch $(STATEDIR)/xtab; chmod 644 $(STATEDIR)/xtab
	touch $(STATEDIR)/etab; chmod 644 $(STATEDIR)/etab
	touch $(STATEDIR)/rmtab; chmod 644 $(STATEDIR)/rmtab

=== support/Makefile ===
#
# Makefile for linux-nfs/support
#

SUBDIRS	= include nfs export lib misc
.DEFAULT: all

include $(TOP)rules.mk

=== tools/getiversion/Makefile ===
#
# knfsd tools
#

TOOL	= getiversion
OBJS	= getiversion.o

include $(TOP)rules.mk

install::
	@:

=== debian/changelog ===
nfs-utils (1:1.0-2woody3) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Partially applied patch by SGI to fix DoS [utils/statd/statd.c,
    CAN-2004-1014]
  * Bumped up the version number to nullify that fixed a problem in unused
    code

 -- Martin Schulze <joey@infodrom.org>  Thu,  2 Dec 2004 08:52:06 +0100

nfs-utils (1:1.0-2woody1) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Apply patch from Olaf Kirch to fix buffer overrun (CAN-2003-0252)
    [support/nfs/xlog.c]

 -- Matt Zimmerman <mdz@debian.org>  Tue,  8 Jul 2003 19:46:26 -0400

nfs-utils (1:1.0-2) unstable; urgency=low

  * Fail an export if its mapping option is unsupported.  (closes: #85678)

 -- Chip Salzenberg <chip@debian.org>  Wed,  2 Jan 2002 15:52:37 -0800

nfs-utils (1:1.0-1) unstable; urgency=medium

  * New upstream version.  (Version number is only change.)
  * Urgency "medium" so woody users see the pretty new version number.
    (Yeah, it's shallow... but, doggone it, this is mature code.)

 -- Chip Salzenberg <chip@debian.org>  Wed, 26 Dec 2001 20:21:15 -0800

nfs-utils (1:0.3.3-6) unstable; urgency=high

  * Upstream fixes:
    > Ignore case when comparing host names.
    > Use all addresses of multi-homed hosts in export processing.
    > When reading /proc/fs/nfs/exports, assume noasync and nowgather;
      older kernels did so, while newer kernels report them explicitly.
    > Remove man page refs to "hosts_allow(5)".  (closes: #122540)
    > In exports.5: Emphasize the need for options to immediately follow
      client names.  Explain that wildcards don't usually work on addresses,
      but may work when reverse DNS fails. (closes: #118040, #116039)

 -- Chip Salzenberg <chip@debian.org>  Wed, 26 Dec 2001 18:54:35 -0800

nfs-utils (1:0.3.3-5) unstable; urgency=high

  * Keep NFS fully operational during upgrade.  (closes: #76544)
  * When calling update-rc.d, send stdout to /dev/null, but not stderr.

 -- Chip Salzenberg <chip@debian.org>  Thu, 13 Dec 2001 18:50:47 -0800

nfs-utils (1:0.3.3-4) unstable; urgency=high

  * High priority due to changes in previous version.
  * Upstream fixes:
    > Close filehandles in nfsd before spawing kernel threads.  This is a
      workaround for a kernel bug.  (closes: #121213)
    > Document that both host names *and* addresses are checked with tcpwrappers.
      This is a doc update, not a change.  (closes: #108493)
    > Don't assume that strings starting with digits are IP addresses;
      host names are allowed to start with digits.  (closes: #68977)
  * German template for nfs-common.  (closes: #120939)

 -- Chip Salzenberg <chip@debian.org>  Mon, 26 Nov 2001 11:50:43 -0800

nfs-utils (1:0.3.3-3) unstable; urgency=low

  * Upstream fixes:
    > Accept obsolete mount option "crossmnt" for parsing old xtab files
      after upgrade.  (closes: #78801)
    > Put filenames into more error messages.
  * Stop debconf before starting nfsd to avoid a hang.  Kernel threads
    like nfsd aren't supposed to inherit open files from the programs that
    start them, but nfsd does.  See debconf tutorial.  (closes: #115817)
  * Rebuild with current glibc.  (closes: #119545)
  * Carefully account for ownership of /var/lib/nfs/*.  (closes: #117258)
  * Warn about statd using tcpwrappers.  (closes: #92666)
  * Only warn about mountd's tcpwrappers name change if the old name
    appears in the tcpwrapper config files.
  * German template for nfs-kernel-server.  (closes: #117196)

 -- Chip Salzenberg <chip@debian.org>  Wed, 21 Nov 2001 18:30:36 -0800

nfs-utils (1:0.3.3-2) unstable; urgency=high

  * The "Test It Before Release, Stupid" release.
  * Repair total failure of rpc.mountd.  (closes: #115095)

 -- Chip Salzenberg <chip@debian.org>  Thu, 11 Oct 2001 13:03:45 -0700

nfs-utils (1:0.3.3-1) unstable; urgency=medium

  * The "Life Goes On" release.
  * New upstream version.  (closes: #113042)
    > Avoid DNS when unexporting... important for shutdown.
    > Recognize double-quote and \octal quoting in pathnames.
    > Print pathnames with \octal quoting as necessary.
  * Depend on a version of glibc that restores rpcinfo to its rightful
    place.  (closes: #102400)
  * Fix pathname in mountd doc.  (closes: #112088)
  * debian/nfs-kernel-server.postinst: Remove rc.d symlinks to old
    nfs-server init script, which doesn't realize when it's been removed.
    (closes: #97099)
  * Warn users about "rpc.mountd" -> "mountd" in /etc/hosts.{allow,deny}.
    This marks my first use of debconf!  W00T!  (closes: #92671)

 -- Chip Salzenberg <chip@debian.org>  Mon,  8 Oct 2001 15:04:08 -0700

nfs-utils (1:0.3.2-2) unstable; urgency=low

  * Rebuild with new libc.  (closes: #97252, #97455, #99829, #100317)
  * Fix typo in nfs-kernel-server init script.  (closes: #100380)
  * Start all daemons in root directory.
  
 -- Chip Salzenberg <chip@debian.org>  Fri, 15 Jun 2001 15:57:18 -0700

nfs-utils (1:0.3.2-1) unstable; urgency=low

  * Upstream changes to statd:
    > Recognize long options.
    > On startup, close std{in,out,err}.
    > Updated man page.
  * Let debhelper handle doc symlinks.  (closes: #74094)
  * Rename upstream changelog, per policy.
  * Get rid of suidregister call.

 -- Chip Salzenberg <chip@debian.org>  Sun,  1 Apr 2001 19:21:26 -0700

nfs-utils (1:0.3.1-1) unstable; urgency=medium

  * New upstream version.
  * Incorporate (but not all) Bug Party changes by David LaBissoniere
    <labiss@usit.net>:
    > Mention upstream source and license in copyright file.  (closes: #79997)
    > Add Build-Depends for debhelper and libwrap0-dev.  (closes: #84131)

 -- Chip Salzenberg <chip@debian.org>  Mon, 26 Feb 2001 16:51:15 -0800

nfs-utils (1:0.3-2) unstable; urgency=low

  * Upstream:
    > Don't modify socket buffer sizes.

 -- Chip Salzenberg <chip@debian.org>  Mon, 12 Feb 2001 20:46:22 -0800

nfs-utils (1:0.3-1) unstable; urgency=low

  * New upstream.



=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Priority: standard
 Section: net
 Maintainer: Chip Salzenberg <chip@debian.org>
+Build-Depends: debhelper, libwrap0-dev
 Standards-Version: 3.1.1.1
 
 Package: nfs-kernel-server
 Architecture: any
-Depends: nfs-common (>= 1:0.1.5), ${shlibs:Depends}
+Depends: debconf (>= 1.0), nfs-common (>= 1:0.3.3-3), ${shlibs:Depends}
 Provides: knfs, nfs-server
 Conflicts: knfs, nfs-server
 Replaces: knfs, nfs-server
@@ -19,15 +20,17 @@
  Upstream: SourceForge project "nfs", CVS module nfs-utils.
 
 Package: nhfsstone
+Priority: extra
 Architecture: any
 Depends: nfs-common, ${shlibs:Depends}
+Replaces: nfs-kernel-server
 Description: NFS benchmark program.
  .
  Upstream: SourceForge project "nfs", CVS module nfs-utils.
 
 Package: nfs-common
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: portmap, ${shlibs:Depends}
 Provides: nfs-client
 Conflicts: nfs-client
 Replaces: nfs-client

=== debian/rules ===
--- 
+++ 
@@ -44,25 +44,27 @@
 	dh_movefiles
 	# Fixups Start Here #
 	cd debian && \
-	  for f in rpc.lockd rpc.statd showmount; do \
-	    mv tmp/usr/sbin/$$f nfs-common/sbin/$$f; \
+	  for f in lockd statd showmount; do \
+	    mv tmp/usr/sbin/*$$f nfs-common/sbin; \
+	    perl -pi -e "s#/usr(/sbin/(rpc\\.)?$$f)#\$$1#g" \
+		nfs-common/usr/share/man/man8/$$f.8; \
 	  done; \
 	  rm -f tmp/usr/sbin/*quota*; \
 	  rm -f tmp/usr/share/man/man8/*quota*; \
 	  rm -rf tmp/var/lib/nfs/*
 	# Fixups End Here #
-	dh_installdocs ChangeLog README
+	dh_installdocs -A README
 	dh_installexamples
 #	dh_installmenu
 	dh_installinit -n
 #	dh_installcron
 #	dh_installmanpages
 #	dh_undocumented
-	dh_installchangelogs
+	dh_installchangelogs ChangeLog
 	dh_strip
-	dh_suidregister
 	dh_compress
 	dh_fixperms
+	dh_installdebconf
 	dh_installdeb
 #	dh_makeshlibs
 	dh_shlibdeps

## nfs-utils 1.2.2

=== debian/changelog ===
nfs-utils (1:1.2.2-4squeeze2) stable; urgency=high

  * Fix CVE-2011-1749: Avoid leaving a corrupt mtab file (Closes: #629420)

 -- Luk Claes <luk@debian.org>  Fri, 30 Dec 2011 18:58:07 +0100

nfs-utils (1:1.2.2-4squeeze1) stable; urgency=low

  * Build with patch d6c1b35c6b40243bfd6fba2591c9f8f2653078c0 from upstream 
    (Closes: #622146)

 -- Luk Claes <luk@debian.org>  Wed, 26 Oct 2011 08:47:44 +0200

nfs-utils (1:1.2.2-4) unstable; urgency=low

  * mountd: fix path comparison for v4 crossmnt (Closes: #578317)
  * nfs-common.init: Ignore empty and commented-out fstab lines, thanks
    to Cristian Ionescu-Idbohrn (Closes: #587329)

 -- Ben Hutchings <ben@decadent.org.uk>  Fri, 27 Aug 2010 00:11:44 +0100

nfs-utils (1:1.2.2-3) unstable; urgency=low

  * mount.nfs: Preserve explicit port=2049 option (Closes: #582003)
  * rpc.statd: Allow monitoring of addresses without names (Closes: #579397)
  * Add control fields pointing to the new git repository

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 08 Aug 2010 23:43:42 +0100

nfs-utils (1:1.2.2-2) unstable; urgency=low

  [ Vagrant Cascadian ]
  * Ensure files under /var/lib/nfs/ are owned by statd user. 
    Closes: #574510 

  [ Anibal Monsalve Salazar ]
  * Fix out-of-date-standards-version

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 13 Jul 2010 15:20:17 +1000
 

nfs-utils (1:1.2.2-1) unstable; urgency=low

  [ Anibal Monsalve Salazar ]
  * New upstream release 
    Build depend on libcap-dev
    Set configure option --enable-nfsv41
  * X-ref nfsd({7,8})
    02-524255-manpages.patch by Cyril Brulebois
    Closes: 524255

  [ Ben Hutchings ]
  * Change maintainer to Debian kernel team; move Aníbal to uploaders and
    add myself to uploaders
  * Check for nfsd in /proc/filesystems rather than looking for signs of it in
    /proc/kallsyms (Closes: #563104, #572736)
  * Document the -n option to svcgssd, thanks to Alberto Gonzalez Iniesta
    (Closes: #451402, #550270)
  * Replace upstream reference in package descriptions with Homepage fields,
    and do not refer to the obsolete CVS repository
  * Update policy version to 3.8.4; no changes required
  * Override lintian error 'init.d-script-missing-dependency-on-remote_fs';
    the init script does work without /usr mounted

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 06 Apr 2010 16:11:22 +1000

nfs-utils (1:1.2.1-3) unstable; urgency=low

  * Change the reading of /proc/kallsyms
    Closes: 561674, 554508
  * nfs-kernel-server depends on nfs-common (= ${binary:Version})

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 14 Jan 2010 16:15:44 +1100

nfs-utils (1:1.2.1-2) unstable; urgency=low

  * Go back to read /proc/kallsyms
    Closes: 561674, 562581
  * Fix debhelper-but-no-misc-depends
  * Fix out-of-date-standards-version
  * Fix copyright-refers-to-symlink-license
  * Fix maintainer-script-without-set-e
  * DH compatibility level is 7
  * Fix dh-clean-k-is-deprecated

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 13 Jan 2010 10:39:08 +1100

nfs-utils (1:1.2.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Disable tirpc (Closes: #562729, #562757, #562910)
 
 -- Alexander Wirt <formorer@debian.org>  Wed, 06 Jan 2010 20:26:54 +0100

nfs-utils (1:1.2.1-1) unstable; urgency=low

  * New upstream release 
  * Update debian/watch
  * Debian source format is 3.0 (quilt)
    Don't build depend on quilt
  * Remove 10-493659-nfs.man.patch (merged)
  * Build depend on libtirpc-dev

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 18 Dec 2009 13:17:42 +1100

nfs-utils (1:1.2.0-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix test for NFS kernel server support in init script; closes: #550153

 -- Ben Hutchings <ben@decadent.org.uk>  Wed, 16 Dec 2009 22:14:01 +0000

nfs-utils (1:1.2.0-4) unstable; urgency=low

  * Removing myself from uploaders.

 -- Daniel Baumann <daniel@debian.org>  Wed, 02 Sep 2009 07:07:03 +0200

nfs-utils (1:1.2.0-3) unstable; urgency=low

  * Remove myself from Uploaders.
  * Remove --enable-secure-statd from configure line; it does no longer
    exist as a configure option.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 09 Aug 2009 12:47:00 +0200

nfs-utils (1:1.2.0-2) unstable; urgency=low

  * Merge from Ubuntu
  * Rename 101-reduce-verbosity.diff to 11-532048-reduce-verbosity.patch
  * Fix syslog verbosity with expired kerberos creds; closes: #532048
    11-532048-reduce-verbosity.patch

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 09 Jun 2009 10:50:33 +1000

nfs-utils (1:1.2.0-1ubuntu1) karmic; urgency=low

  * Merge from Debian unstable, remaining changes:
    - 101-reduce-verbosity.diff:  Reduce verbosity
  * Dropped changes:
    - Adjust initscripts version dependency; the Debian package now depends
      on a newer version anyway

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 06 Jun 2009 01:19:54 +0000

nfs-utils (1:1.2.0-1) unstable; urgency=low

  * New upstream release
    - Update Sun Microsystems RPC licenses
  * Update debian/copyright

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 04 Jun 2009 20:01:43 +1000

nfs-utils (1:1.1.6-1) unstable; urgency=low

  * New upstream release. Patch status:
    * 01-sm-notify-in-sbin.patch: Refreshed.
    * 03-handle-mtab-symlink.patch: No change.
    * 07-remove-duplicate-exports-paragraphs.patch: No change.
    * 10-493659-nfs.man.patch: Refreshed.

 -- Steinar H. Gunderson <sesse@debian.org>  Mon, 20 Apr 2009 21:10:47 +0200

nfs-utils (1:1.1.5-2) unstable; urgency=low

  * Standards version is 3.8.1
  * Set -x in nfs-{common,server}.{pre,post}rm scripts
  * Add copyright notices

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 04 Apr 2009 15:29:57 +1100

nfs-utils (1:1.1.5-1) experimental; urgency=low

  * New upstream release 
  * Update debian/watch

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 06 Mar 2009 13:36:45 +1100

nfs-utils (1:1.1.4-1ubuntu1) jaunty; urgency=low



=== debian/control ===
Source: nfs-utils
Priority: standard
Section: net
Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
Uploaders: Anibal Monsalve Salazar <anibal@debian.org>, Ben Hutchings <ben@decadent.org.uk>
Build-Depends: debhelper (>= 7), libwrap0-dev, libevent-dev, libnfsidmap-dev, libkrb5-dev (>= 1.8.3+dfsg-4squeeze2), libgssglue-dev, librpcsecgss-dev (>= 0.17), libblkid-dev, libkeyutils-dev, pkg-config, libldap2-dev, libcap-dev
Standards-Version: 3.9.0
Homepage: http://nfs.sourceforge.net/
Vcs-Git: git://git.debian.org/kernel/nfs-utils.git
Vcs-Browser: http://git.debian.org/?p=kernel/nfs-utils.git

Package: nfs-kernel-server
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nfs-common (= ${binary:Version}), ucf, lsb-base (>= 1.3-9ubuntu3), libblkid1 (>= 1.39+1.40-WIP-2006.11.14+dfsg-2)
Provides: knfs, nfs-server
Conflicts: knfs, nfs-server
Replaces: knfs, nfs-server
Description: support for NFS kernel server
 The NFS kernel server is currently the recommended NFS server for use
 with Linux, featuring features such as NFSv3 and NFSv4, Kerberos
 support via GSS, and much more. It is also significantly faster and
 usually more reliable than the user-space NFS servers (from the
 unfs3 and nfs-user-server packages). However, it is more difficult to
 debug than the user-space servers, and has a slightly different
 feature set.
 .
 This package contains the user-space support needed to use the
 NFS kernel server. Most administrators wishing to set up an NFS server
 would want to install this package.
Homepage: http://nfs.sourceforge.net/

Package: nfs-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, portmap | rpcbind, adduser, ucf, lsb-base (>= 1.3-9ubuntu3), netbase (>= 4.24), initscripts (>= 2.86.ds1-38.1)
Provides: nfs-client
Conflicts: nfs-client
Replaces: nfs-client, nfs-kernel-server (<< 1:1.0.7-5), mount (<< 2.13~)
Description: NFS support files common to client and server
 Use this package on any machine that uses NFS, either as client or
 server.  Programs included: lockd, statd, showmount, nfsstat, gssd
 and idmapd.
Homepage: http://nfs.sourceforge.net/

=== debian/rules ===
#! /usr/bin/make -f

# Parsing of DEB_BUILD_OPTIONS flags.
# Note that nostrip is handled automatically by debhelper.
CFLAGS := -g -Wall
ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
    CFLAGS += -O0
else
    CFLAGS += -O2
endif
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    MAKEFLAGS += -j$(NUMJOBS)
endif

# Temporary root
DEBTMP := $(CURDIR)/debian/tmp

build: build-stamp
build-stamp:
	dh_testdir
	CFLAGS="$(CFLAGS)" ./configure \
		--mandir='$${prefix}/share/man' \
		--enable-nfsv41 \
		--disable-tirpc \
		--with-tcp-wrappers
	$(MAKE) $(MAKEFLAGS)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	rm -rf $(DEBTMP)
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean

binary-indep: build
binary-arch: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	mkdir $(DEBTMP)
	$(MAKE) DESTDIR='$(DEBTMP)' install
	dh_install
	dh_installdocs -A
	dh_installdocs -pnfs-common debian/README.Debian.nfsv4
	install -m 0755 debian/nfs-common.init debian/nfs-common/etc/init.d/nfs-common
	install -m 0755 debian/nfs-kernel-server.init debian/nfs-kernel-server/etc/init.d/nfs-kernel-server
	dh_installman
	dh_link
	dh_installchangelogs ChangeLog
	dh_lintian
	dh_strip
	dh_compress
	dh_fixperms
	chmod u+s debian/nfs-common/sbin/mount.nfs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## nfs-utils 1.2.4

=== debian/changelog ===
nfs-utils (1:1.2.4-1ubuntu2) oneiric; urgency=low

  * Allow issuing options to rpc.nfsd
    (LP: #567491)

 -- Bryce Harrington <bryce@ubuntu.com>  Mon, 08 Aug 2011 16:37:26 -0700

nfs-utils (1:1.2.4-1ubuntu1) oneiric; urgency=low

  * Merge from Debian unstable (LP: #728586, LP: #789117), remaining
    changes:
    - debian/nfs-common.{statd,statd-mounting,gssd,idmapd}.upstart,
      debian/control, debian/nfs-common.{preinst,postinst,prerm,postrm},
      debian/rules: drop nfs-common init script in favor of upstart jobs,
      and build-depend on debhelper (>= 7.3.15ubuntu3) for correct upstart
      init handling.
    - Depend on rpcbind (>= 0.2.0-6ubuntu1) for upstart support.
    - debian/nfs-kernel-server.postinst: don't call "invoke-rc.d nfs-common"
      in the postinst, this is redundant anyway and the nfs-common init script
      is gone now.
    - nfs-kernel-server.default:  Add comment about how to disable nfs4.
    - debian/patches/multiarch-kerberos-paths: Search for kerberos libs
      in multiarch locations.
    - nfs-kernel-server.init: Unmount nfsd fs when init script stops
    - ubuntu-fix-kernel-version-handling: avoid segfaults from short kernel
      version numbers.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 23 Jul 2011 17:54:36 +0200

nfs-utils (1:1.2.4-1) unstable; urgency=low

  * New upstream version
    - Fix host_reliable_addrinfo (Closes: #633155)
    - Allow multiple RPC listeners to share listener port number
    (Closes: #619877)
    - Add --enable-libmount-mount (Closes: #626478)
    - 12-svcgssd-document-n-option.patch applied upstream
    - Refresh 19-exports.man-Fix-comment-syntax.patch
    - 21-anticipate-RLIMIT_FSIZE.patch applied upstream
    - Add nfsidmap binary and manpage
    - Use autoreconf to avoid build failure

 -- Luk Claes <luk@debian.org>  Sat, 09 Jul 2011 16:28:32 +0200

nfs-utils (1:1.2.3-3) unstable; urgency=medium

  [ Luk Claes ]
  * Remove build dependency on librpcsecgss-dev as it's superseded by
    libtirpc-dev
  * Remove very old versioned dependencies on netbase and libblkid1
  * Exclude state files from dh_md5sum
  * Use rpcinfo instead of /dev/tcp redirection
  * Fix CVE-2011-1749: Anticipate RLIMIT_FSIZE (Closes: #629420)
  * start-statd: Use bash (Closes: #621027)
  * Add build-arch and build-indep makefile targets to debian/rules
  * Add override for setuid mount.nfs

  [ Ben Hutchings ]
  * statd.man, nfsiostat.man: Fix syntax errors, thanks to Simon Paillard
    (Closes: #624261)
  * exports.man: Fix syntax errors
  * nfs.man: Fix syntax errors and improve tabulation

 -- Luk Claes <luk@debian.org>  Sat, 18 Jun 2011 10:53:51 +0200

nfs-utils (1:1.2.3-2) unstable; urgency=low

  * Depend on rpcbind unconditionally, as libtirpc does not support the
    old portmapper protocol (Closes: #619877)

 -- Ben Hutchings <ben@decadent.org.uk>  Fri, 08 Apr 2011 13:40:02 +0100

nfs-utils (1:1.2.3-1) unstable; urgency=low

  * New upstream release
    - 7-remove-duplicate-exports-paragraphs : removed
    - 12-svcgssd-document-n-option: updated
    - 14-allow-address-without-name : removed
    - 15-mountd-fix-path-comparison-for-v4-crossmnt : removed
    - 16-mount.nfs.man-nfs.man-update-distinction-between-fstypes:
      part about nfs.man removed and 
      renamed to 16-mount.nfs.man-update-distinction-between-fstypes
    - mountd: fix --manage-gids hang due to int/uint bug (0f05c8a)
      (Closes: #528939,585085)
    - mount.nfs: Don't do anything fancy if this is a remount (f11547f)
      (Closes: #612933)
    - mount: Mount should retry unreachable hosts (5a355f4)
      (Closes: #560388)
    - Try to use kernel function to determine supported Kerberos 
      enctypes (258f10f) (Closes: #474037)
    - nfs-common: Add Recommends python for mountstats and nfsiostat
  * Make sure everything is shipped (inspired by #594933) 
  * nfs-common.init: Enable idmapd by default (Closes: #610363)
  * Install bug scripts to ease debuging
  * Build depend on libtirpc-dev and enable IPv6 (Closes: #441361)

 -- Luk Claes <luk@debian.org>  Sun, 27 Mar 2011 18:54:45 +0200

nfs-utils (1:1.2.2-5) unstable; urgency=low

  [ Ben Hutchings ]
  * mount.nfs.man, nfs.man: Update distinction between fstypes
    (Closes: #575503)
  * nfs-kernel-server.init: Require any installed name server ($named) to
    start before nfs-kernel-server (Closes: #598493)

  [ Luk Claes ]
  * nfs-common.init, nfs-kernel-server.init: Add warning when portmap is
    not running (Closes: #612002,#561718,#562737)
  * nfs-common.init: Add --pidfile for statd (Closes: #521084)
  * nfs-common.init: Add statd to sendsigs.omit.d (Closes: #524610)
  * nfs-common.default, nfs-kernel-server.default: Remove spurious question
    mark in wiki url (Closes: #593511)

 -- Luk Claes <luk@debian.org>  Wed, 16 Mar 2011 23:10:15 +0100

nfs-utils (1:1.2.2-4ubuntu8) oneiric; urgency=low

  * debian/nfs-common.idmapd.upstart: don't use a script unnecessarily for
    our job when we can exec directly - making the job more resilient in
    the face of races with /usr being mounted.  LP: #811823.
  * Drop rpc_pipefs.conf; this has gotten far more complicated than it
    should be, just do the mount in-line in each of the gssd and idmapd
    jobs.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 17 Jul 2011 02:23:01 -0700

nfs-utils (1:1.2.2-4ubuntu7) oneiric; urgency=low

  [ Andy Whitcroft ]
  * ubuntu-fix-kernel-version-handling: avoid segfaults from short kernel
    version numbers. (LP: #796611)

 -- Evan Dandrea <ev@ubuntu.com>  Tue, 14 Jun 2011 17:13:14 +0100

nfs-utils (1:1.2.2-4ubuntu6) oneiric; urgency=low

  * nfs-kernel-server.init: Unmount nfsd fs when init script stops
    (LP: #251026)

 -- Bryce Harrington <bryce@ubuntu.com>  Mon, 06 Jun 2011 19:18:16 -0700

nfs-utils (1:1.2.2-4ubuntu5) natty; urgency=low

  * Search kerberos libs in multiarch locations.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 01 Apr 2011 12:35:30 +0200



=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: nfs-utils
 Priority: standard
 Section: net
-Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
-Uploaders: Anibal Monsalve Salazar <anibal@debian.org>, Ben Hutchings <ben@decadent.org.uk>
-Build-Depends: debhelper (>= 7), libwrap0-dev, libevent-dev, libnfsidmap-dev, libkrb5-dev (>= 1.8.3+dfsg-4squeeze2), libgssglue-dev, librpcsecgss-dev (>= 0.17), libblkid-dev, libkeyutils-dev, pkg-config, libldap2-dev, libcap-dev
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
+Uploaders: Anibal Monsalve Salazar <anibal@debian.org>, Ben Hutchings <ben@decadent.org.uk>, Luk Claes <luk@debian.org>
+Build-Depends: debhelper (>= 7.3.15ubuntu3), libwrap0-dev, libevent-dev, libnfsidmap-dev, libkrb5-dev, libgssglue-dev, libblkid-dev, libkeyutils-dev, pkg-config, libldap2-dev, libcap-dev, libtirpc-dev, automake
 Standards-Version: 3.9.0
 Homepage: http://nfs.sourceforge.net/
 Vcs-Git: git://git.debian.org/kernel/nfs-utils.git
@@ -12,7 +13,7 @@
 Package: nfs-kernel-server
 Priority: optional
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, nfs-common (= ${binary:Version}), ucf, lsb-base (>= 1.3-9ubuntu3), libblkid1 (>= 1.39+1.40-WIP-2006.11.14+dfsg-2)
+Depends: ${shlibs:Depends}, ${misc:Depends}, nfs-common (= ${binary:Version}), ucf, lsb-base (>= 1.3-9ubuntu3)
 Provides: knfs, nfs-server
 Conflicts: knfs, nfs-server
 Replaces: knfs, nfs-server
@@ -32,7 +33,8 @@
 
 Package: nfs-common
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, portmap | rpcbind, adduser, ucf, lsb-base (>= 1.3-9ubuntu3), netbase (>= 4.24), initscripts (>= 2.86.ds1-38.1)
+Depends: ${shlibs:Depends}, ${misc:Depends}, rpcbind (>= 0.2.0-6ubuntu1), adduser, ucf, lsb-base (>= 1.3-9ubuntu3), initscripts (>= 2.86.ds1-38.1)
+Recommends: python
 Provides: nfs-client
 Conflicts: nfs-client
 Replaces: nfs-client, nfs-kernel-server (<< 1:1.0.7-5), mount (<< 2.13~)

=== debian/rules ===
--- 
+++ 
@@ -16,13 +16,17 @@
 # Temporary root
 DEBTMP := $(CURDIR)/debian/tmp
 
-build: build-stamp
+build: build-indep build-arch
+build-indep: build-stamp
+build-arch: build-stamp
 build-stamp:
 	dh_testdir
+	autoreconf
 	CFLAGS="$(CFLAGS)" ./configure \
 		--mandir='$${prefix}/share/man' \
 		--enable-nfsv41 \
-		--disable-tirpc \
+		--enable-ipv6 \
+		--enable-tirpc \
 		--with-tcp-wrappers
 	$(MAKE) $(MAKEFLAGS)
 	touch build-stamp
@@ -43,12 +47,20 @@
 	dh_installdirs
 	mkdir $(DEBTMP)
 	$(MAKE) DESTDIR='$(DEBTMP)' install
-	dh_install
+	dh_installman
+	dh_install -Xman --fail-missing
 	dh_installdocs -A
 	dh_installdocs -pnfs-common debian/README.Debian.nfsv4
-	install -m 0755 debian/nfs-common.init debian/nfs-common/etc/init.d/nfs-common
+	dh_installinit -pnfs-common --upstart-only -R --name statd
+	dh_installinit -pnfs-common --upstart-only --no-start --name statd-mounting
+	dh_installinit -pnfs-common --upstart-only -R --name gssd
+	dh_installinit -pnfs-common --upstart-only -R --name idmapd
 	install -m 0755 debian/nfs-kernel-server.init debian/nfs-kernel-server/etc/init.d/nfs-kernel-server
-	dh_installman
+	install -m 0644 debian/nfs-common.bugcontrol debian/nfs-common/usr/share/bug/nfs-common/control
+	install -m 0755 debian/nfs-common.bugscript debian/nfs-common/usr/share/bug/nfs-common/script
+	install -m 0644 debian/nfs-utils.bugcontrol debian/nfs-common/usr/share/bug/nfs-utils/control
+	install -m 0644 debian/nfs-utils.bugpresubj debian/nfs-common/usr/share/bug/nfs-utils/presubj
+	install -m 0755 debian/nfs-kernel-server.bugscript debian/nfs-kernel-server/usr/share/bug/nfs-kernel-server/script
 	dh_link
 	dh_installchangelogs ChangeLog
 	dh_lintian
@@ -59,7 +71,7 @@
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
-	dh_md5sums
+	dh_md5sums -Xvar/lib
 	dh_builddeb
 
 binary: binary-indep binary-arch
